services:
    oro_email.mass_action.mark.read:
        class: Oro\Bundle\EmailBundle\Datagrid\Extension\MassAction\Actions\MarkReadMassAction
        arguments:
            - '@oro_entity_merge.metadata.registry'
            - '@translator'
        shared: false
        tags:
            - { name: oro_datagrid.extension.mass_action.type, type: emailmarkread }

    oro_email.mass_action.mark.unread:
        class: Oro\Bundle\EmailBundle\Datagrid\Extension\MassAction\Actions\MarkUnreadMassAction
        arguments:
            - '@oro_entity_merge.metadata.registry'
            - '@translator'
        shared: false
        tags:
            - { name: oro_datagrid.extension.mass_action.type, type: emailmarkunread }

    oro_email.mass_action.mark_handler:
        class: Oro\Bundle\EmailBundle\Datagrid\Extension\MassAction\MarkMassActionHandler
        public: true
        arguments:
            - '@doctrine.orm.entity_manager'
            - '@translator'
            - '@security.authorization_checker'
            - '@oro_security.token_accessor'
            - '@oro_email.email.manager'
